free shipping on orders over $50

Devices

Below are the smart device compatibility requirements for supporting intelino smart train and its companion app. Bluetooth Smart (4.0+) support is required for all smart devices. 

iOS

iPhone, iPad, or iPod touch

Compatible Devices
iPhone 5+
iPad (5th gen. or newer
iPad Mini (2nd gen. or newer
iPod Touch (6th gen. or newer)

Required iOS Version: 8.0 or newer

Android

Compatible with most bluetooth-enabled devices that run Android 5.0 (Lollipop) or newer.